<!-- ######## This is a comment, visible only in the source editor ######## -->
<h1 style="color: #4485b8;">Windows DNS Manipulator</h1>
<h4>Available REST API methods: </h4>
<table border="1" cellpadding="5px" style="vertical-align: top; width: 731px;">
<thead>
<tr>
<td align="center" style="width: 214px;">URL</td>
<td align="center" style="width: 252px;">Description</td>
<td align="center" style="width: 123px;">HTTP Methods</td>
<td align="center" style="width: 255px;">HTTP Response Codes</td>
</tr>
</thead>
<tbody>
<tr>
<td style="width: 214px;"><strong>&lt;root URL&gt;</strong></td>
<td style="width: 252px;">This page</td>
<td align="center" style="width: 123px;">GET</td>
<td style="width: 255px;">
<p><strong>200 OK</strong></p>
</td>
</tr>
<tr>
<td style="width: 214px;"><strong>&lt;root URL&gt;/api/version</strong></td>
<td style="width: 252px;">Get version and general info</td>
<td align="center" style="width: 123px;">GET</td>
<td style="width: 255px;">
<p><strong>200 OK</strong></p>
</td>
</tr>
<tr>
<td style="min-width: 140px; width: 214px;"><strong>&lt;root URL&gt;/api/validate</strong><br /><br /></td>
<td style="width: 252px;">Validate DNS JSON before submitting DNS change request</td>
<td align="center" style="width: 123px;">POST</td>
<td style="width: 255px;">
<p><strong>200 OK</strong>: JSON valid<br /><strong>400 Bad Request</strong>: JSON invalid<br /><strong>424 Failed Dependency</strong>: Schema file not found, empty or malformed</p>
</td>
</tr>
<tr>
<td style="width: 214px;"><strong>&lt;root URL&gt;/api/submit</strong></td>
<td style="width: 252px;">Submit DNS change request to Windows DNS Manipulator</td>
<td align="center" style="width: 123px;">POST</td>
<td style="width: 255px;">
<p><strong>200 OK</strong>: Underlying nsupdate-based script had exit code 0. Most likely, all went well.<br /><strong>400</strong> Bad Request: nsupdate failed for some reason. Details returned in response.<br /><strong>424 Failed Dependency</strong>: Malformed JSON<p><strong>423 Locked</strong>: POD Buildout header was used for authentication, but allowed time range has either not started yet or passed already<br /></p>
</td>
</tr>
</tbody>
</table>
<hr />
<p>E-mail: sysopsinfra@contoso.com</p>
<p>Operational Specification: <a href=https://wiki.contoso.com/pages/viewpage.action?pageId=279483055>Windows DNS Manipulator</a>
<hr />
<p><em>2020 © Ringcentral, Inc</em></p>

